Last Comment Bug 355332 - Feed sniffing ignores content-disposition, displays "attachment" in the browser
: Feed sniffing ignores content-disposition, displays "attachment" in the browser
Status: RESOLVED FIXED
: fixed1.8.1.1, relnote
Product: Firefox
Classification: Client Software
Component: RSS Discovery and Preview (show other bugs)
: Trunk
: All All
: -- major (vote)
: ---
Assigned To: Robert Sayre
:
Mentors:
http://philringnalda.com/mtests/dispo...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-03 22:06 PDT by Phil Ringnalda (:philor, back in August)
Modified: 2006-12-05 17:36 PST (History)
2 users (show)
mconnor: blocking1.8.1.1+
mconnor: blocking‑firefox2-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
check for the disposition header after detecting a feed (5.57 KB, patch)
2006-10-09 16:26 PDT, Robert Sayre
vladimir: review+
mbeltzner: approval1.8.1-
dveditz: approval1.8.1.1+
Details | Diff | Splinter Review

Description Phil Ringnalda (:philor, back in August) 2006-10-03 22:06:32 PDT
Discovered by sending a feed to myself as an attachment, and clicking GMail's "download" link, only to have the feed displayed in the browser.

STR:

1. Email yourself a feed attachment and view it through webmail, or go to http://philringnalda.com/mtests/disposition-attach/ (which is m.o/news.rdf served with "Content-type: text/xml" and "Content-disposition: attachment; filename="news.rdf"")
2. Notice that you're seeing it in the browser.
Comment 1 Lloyd Dewolf 2006-10-09 15:20:43 PDT
ENV: Windows / Firefox 2 rc2
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1) Gecko/2006100319 Firefox/2.0

This causes problems for WordPress users trying to export (backup) their blog  http://trac.wordpress.org/ticket/3225 

keywords: content disposition
Comment 2 Robert Sayre 2006-10-09 16:26:19 PDT
Created attachment 241766 [details] [diff] [review]
check for the disposition header after detecting a feed
Comment 3 Vladimir Vukicevic [:vlad] [:vladv] 2006-10-09 16:48:12 PDT
Comment on attachment 241766 [details] [diff] [review]
check for the disposition header after detecting a feed

I guess that looks ok, though please file a bug on factoring out the common usage.
Comment 4 Robert Sayre 2006-10-09 16:51:38 PDT
Filed Bug 356086.
Comment 5 Robert Sayre 2006-10-09 17:15:53 PDT
/cvsroot/mozilla/browser/components/feeds/src/Makefile.in,v  <--  Makefile.in
new revision: 1.7; previous revision: 1.6
done
Checking in nsFeedSniffer.cpp;
/cvsroot/mozilla/browser/components/feeds/src/nsFeedSniffer.cpp,v  <--  nsFeedSniffer.cpp
new revision: 1.11; previous revision: 1.10
done
Comment 6 Robert Sayre 2006-10-10 01:26:45 PDT
Comment on attachment 241766 [details] [diff] [review]
check for the disposition header after detecting a feed

maybe we could slip this in for RC3... a regression for web mail attachments and such.
Comment 7 Mike Connor [:mconnor] 2006-10-10 10:38:04 PDT
Its really too late for this for 1.8.1, we should definitely get it into the 1.8.1.1 patchset.

Right click, Save As works for now, we should release note this for Fx2, and get it into 2.0.0.1 as soon as the branch reopens.
Comment 8 Mike Beltzner [:beltzner, not reading bugmail] 2006-10-10 10:51:19 PDT
Comment on attachment 241766 [details] [diff] [review]
check for the disposition header after detecting a feed

Forwarding nomination to 1.8.1.1 ...
Comment 9 Daniel Veditz [:dveditz] 2006-11-08 10:49:13 PST
Comment on attachment 241766 [details] [diff] [review]
check for the disposition header after detecting a feed

approved for 1.8 branch, a=dveditz for drivers
Comment 10 Robert Sayre 2006-11-27 11:29:45 PST
Checking in Makefile.in;
/cvsroot/mozilla/browser/components/feeds/src/Makefile.in,v  <--  Makefile.in
new revision: 1.1.2.4; previous revision: 1.1.2.3
done
Checking in nsFeedSniffer.cpp;
/cvsroot/mozilla/browser/components/feeds/src/nsFeedSniffer.cpp,v  <--  nsFeedSniffer.cpp
new revision: 1.1.2.8; previous revision: 1.1.2.7
done
Comment 11 Robert Sayre 2006-12-05 17:36:01 PST
QA: http://philringnalda.com/mtests/disposition-attach/

should popup a save dialog, not show the feed preview

Note You need to log in before you can comment on or make changes to this bug.